---
title: CSSTransformValue.values()
slug: Web/API/CSSTransformValue/values
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - values
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The <strong><code>CSSTransformValue.values()</code></strong>  returns a new <strong><code>Array Iterator</code></strong> object that contains the values for each index in the CSSTranformValue object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">CSSTransformValue.values();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("Array")}}.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformvalue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.values")}}</p>
